body, html{
    font-family: 'Roboto', sans-serif;
    margin: 0;
    background-color: #f9f9f9;
    height:100vh;
    display:flex; 
    flex-direction:column;
    overflow-x: hidden;
}

main{
    display: flex;
    flex-direction: column;
    height: 100vh;
    justify-content: space-evenly;
}

.header{
    background-color: #e2350d;
    width: 100%;
}

.header__image{
    width: 150px;
}

.content {
    display: flex;
    flex-direction: row;
    padding: 50px 0px;
    justify-content: space-evenly;
}

.contentLeft{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-right: 50px;
}

.contentLeft__box{
    background-color: #e9e9e9;
    padding: 10px;
    margin-bottom: 20px;
    border-radius: 20px;
    text-align: center;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    -webkit-box-shadow: 2px 4px 8px -1px rgb(0 0 0 / 23%);
    box-shadow: 2px 4px 8px -1px rgb(0 0 0 / 23%);
}



.contentLeft__box__image{
    width: 2rem;
    height: 2rem;
    padding-right: 10px;
}

.contentLeft__box figure {
    margin: 0;
}

.contentLeft__box__title{
    font-size: 1.4em;
    text-transform: uppercase;
    letter-spacing: 1px;
}

.contentLeft__imagePoke figure {
    margin: 0;
}

.contentLeft__imagePoke__image, .contentLeft__imagePoke__gif {
    width: 640px;
    margin: 0 auto;
    height: 340px;
    object-fit: contain;
    position: relative;
    padding-top: 10px;
    cursor: pointer;
    display: block;
    transition: all 0.3s linear;
    -webkit-transition: all 0.3s linear;
}

.footerFlex__pokemons__box:last-child{
    margin-right: 0px;
}

.footerFlex__pokemons__box:first-child{
    margin-left: 0px;
}


.appearImage{
    -webkit-animation-name: fadeIn;
    -webkit-animation-duration: 0.3s;
    animation-name: fadeIn;
    animation-duration: 0.3s;
    transition: all 0.3s ease-in;
    display: block;
    opacity: 1;
}

.dissapearImage{
    display: none;
    opacity: 0;
}

.contentRight {
    display: flex;
    width: 500px;
    padding: 15px;
    background-color: #e9e9e9;
    border-radius: 20px;
    justify-content: center;
    -webkit-box-shadow: 2px 4px 8px -1px rgb(0 0 0 / 23%);
    box-shadow: 2px 4px 8px -1px rgb(0 0 0 / 23%);
}

.contentRight__box {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

.contentRight__box__section {
    flex: 50%;
    text-align: center;
}

.contentRight__box__titleArt {
    font-weight: 500;
    text-transform: uppercase;
    margin: 0;
    font-size: 17px;
    padding-bottom: 5px;
}

.contentRight__box__subTitleArt {
    font-size: 1.5em;
    font-weight: 600;
    margin: 0;
}

.footer{
    background-color: #FFFFFF;
    padding: 30px 0px;
    -webkit-box-shadow: 0px -6px 5px -6px rgb(0 0 0 / 24%);
    box-shadow: 0px -6px 5px -6px rgb(0 0 0 / 24%);
}

.footerFlex{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.footerFlex__others{
    text-transform: uppercase;
    font-size: 1.4em;
    padding-left: 25px;
}

.footerFlex__pokemons{
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: row;
}

.footerFlex__pokemons__box {
    padding: 15px;
    background-color: #e9e9e9;
    margin: 0px 15px;
    border-radius: 20px;
    cursor: pointer;
}

.footerFlex__pokemons__box figure{
    margin: 0;
}

.footerFlex__pokemons__box:hover {
    transition: all 0.2s linear;
    -webkit-transition: all 0.2s linear;
    background-color: #424242;
    z-index: 10;
}
.footerFlex__pokemons__box:hover .footerFlex__pokemons__image{
    z-index: 20;
}

.footerFlex__pokemons__image {
    width: 100px;
    height: 100px;
    object-fit: contain;
    display: block;
}

.containerCreate {
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
    max-width: 1170px;
}


@media (max-width: 1124px) {
    .contentLeft__imagePoke__image, .contentLeft__imagePoke__gif{
        width: 500px;
    }
    .footerFlex__others{
        padding-left: 0px;
    }
    .containerCreate {
        width: 970px;
    }
    .header{
        text-align: center;
    }
}

@media (max-width: 991px) {
    main{
        padding: 50px 0px;
    }

    .contentLeft{
        margin-right: 0px;
    }
    .containerCreate {
        width: auto;
    }
    .content{
        flex-direction: column;
        padding: 0;
    }
    .footerFlex{
        flex-direction: column;
    }
    .contentLeft__box{
        margin-bottom: 20px;
        margin-top: 0;
    }
    .contentRight__box__section{
        margin: 20px 0px;
    }
    .contentRight{
        padding-top: 90px;
        margin-top: -80px;   
    }
    .contentLeft__imagePoke__image, .contentLeft__imagePoke__gif{
        height: 250px;
    }

}

@media (max-width: 768px) {
    
    .contentLeft__box{
        width: 100%;
    }
    .contentRight__box{
        display: block;
        flex-wrap: initial;
    }
    .contentRight__box__section {
        display: block;
        align-items: center;
        padding: 10px 0px;
        margin: 0;
        width: 100%;
        text-align: left;
        flex: auto;
    }
    .contentRight__box__titleArt, .contentRight__box__subTitleArt{
        padding: 0;
        display: inline-block;
        vertical-align: middle;
    }

    .contentRight__box__subTitleArt {
        font-size: 1.5em;
        font-weight: 600;
        margin: 0;
        float: right;
        width: 30%;
    }

    .contentRight {
        width: auto;
        display: block;
        padding: 90px 100px 40px 100px;
    }

    .footerFlex__pokemons{
        flex-wrap: wrap;
    }
    .footerFlex__pokemons__box{
        flex: 25%;
        margin: 15px;
    }
    .footerFlex__pokemons__image{
        margin: 0 auto;
    }
    .footerFlex__pokemons__box:last-child {
        margin-right: 15px;
    }
    .footerFlex__pokemons__box:first-child {
        margin-left: 15px;
    }
}

@media (max-width: 580px) {
    .contentRight{
        margin-top: -100px;
    }
    .contentLeft__imagePoke__image, .contentLeft__imagePoke__gif{
        padding: 0;
        margin-top: -10px;
    }
    .contentLeft__imagePoke__image, .contentLeft__imagePoke__gif {
        width: 450px;
    }
    .contentRight {
        padding: 110px 70px 40px 70px;
    }
}

@media (max-width: 480px) {
    .contentLeft__imagePoke__image, .contentLeft__imagePoke__gif {
        width: 300px;
    }
    .contentRight__box__titleArt{
        font-size: 1.1em;

    }
    .contentRight__box__subTitleArt {
        font-size: 1.3em;
    }
}

@media (max-width: 380px) {
    .footerFlex__pokemons__image{
        width: 85px;
        height: 85px;
    }
    .footerFlex__pokemons__box{
        flex: 20%;
    }
    .contentLeft__imagePoke__image, .contentLeft__imagePoke__gif{
        width: 265px;
    }
    .contentRight{
        padding: 80px 30px 40px 35px;
    }
    .contentLeft__box{
        margin-bottom: 0;
    }
    .contentRight__box__titleArt{
        font-size: 1em;

    }
    .contentRight__box__subTitleArt {
        font-size: 1.1em;
    }
}

@-webkit-keyframes fadeIn { 
    0% { opacity: 0; }
    20% { opacity: 0; }
    40% { opacity: 0.3; }
    60% { opacity: 0.5; }
    80% { opacity: 0.9; }
    100% { opacity: 1; }
  }
  
  @keyframes fadeIn {
    0% { opacity: 0; }
    20% { opacity: 0; }
    40% { opacity: 0.3; }
    60% { opacity: 0.5; }
    80% { opacity: 0.9; }
    100% { opacity: 1; }
  }